<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Request;
        
class GetRoleBindingsRequest 
{
    /** @var \Bushelpowered\Api\Iam\Access\Evaluate\V1\Request\ResourceType[]|null $resourceTypes */
    public ?array $resourceTypes = null;
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource = null;
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Subjectable $subject = null;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Evaluate\V1\Request\ResourceType[]|null  $resourceTypes 
     */
    public function __construct(?array $resourceTypes, ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource, ?\Bushelpowered\Api\Iam\Access\Common\V1\Subjectable $subject)
    {
        $this->resourceTypes = $resourceTypes;
        $this->resource = $resource;
        $this->subject = $subject;
    }
    

}